<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Farm extends Model
{
    protected $fillable = ['name', 'address', 'owner_name', 'phone', 'email', 'logo'];

    public function ponds(): HasMany
    {
        return $this->hasMany(Pond::class);
    }

    public function users(): HasMany
    {
        return $this->hasMany(User::class);
    }
}
